For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • POSTCreate Company From CG
              • GETGet Company Basic Information
              • PUTUpdate Company Basic Information
              • DELDelete Company With Related
              • GETGet BC Order Id List By Company Id
              • GETGet Company By CustomerId
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APICompany

Get Company By CustomerId

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/io/users/:customerId/companies
GET
/api/v2/io/users/:customerId/companies
$curl https://api-b2b.bigcommerce.com/api/v2/io/users/customerId/companies \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "addressLine1": "123 Main Street",
5 "addressLine2": "Suite 200",
6 "catalogId": "1",
7 "city": "Paris",
8 "companyId": "35",
9 "companyName": "Acme Corporation",
10 "companyStatus": "1",
11 "country": "France",
12 "description": "Acme Corporation",
13 "state": "BC",
14 "zipCode": "1032332"
15 },
16 "message": "SUCCESS"
17}
Get company by customer Id, if company not in bigCommerce will delete the company
Was this page helpful?
Previous

Get BC Order Id List By Company Id

Next

Create Order Without CompanyID

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

customerIdstringRequired
BigCommerce's customer id

Headers

authTokenstringRequired
Auth token in header.

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

404
Not Found Error